// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const { ccclass, property } = cc._decorator;

export default class NewClass extends cc.Component {

    label = null;
    text = 'hello';

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}

    start() {
        cc.color()
        this.node.off(cc.Node.EventType.MOUSE_DOWN)
    }

    // update (dt) {}

    onEnable() {
        let one = new cc.Animation()
        one.currentClip.speed
        one.play().wrapMode
        one.defaultClip.wrapMode = cc.WrapMode.Reverse
        cc.Node.EventType.MOUSE_LEAVE
        cc.tween(this.node).to(1,{opacity:1}).to
        
    }


}
